//
//  RANCollectionViewCell.swift
//  swift瀑布流
//
//  Created by yuan on 16/4/20.
//  Copyright © 2016年 yuan. All rights reserved.
//

import UIKit

class RANCollectionViewCell: UICollectionViewCell {
    var imageView : UIImageView?
    var priceLabel : UILabel?
    var shops : RANModel? {
        didSet{

            imageView?.sd_setImageWithURL(NSURL(string: shops!.img! as String))
            
            priceLabel?.text = shops?.price as? String
            
        }
    }
    override init(frame: CGRect) {
        super.init(frame: frame)
        imageView = UIImageView()
        self.contentView.addSubview(imageView!)
        
        priceLabel = UILabel()
        priceLabel?.textAlignment = NSTextAlignment.Center
        priceLabel?.backgroundColor = UIColor.greenColor()
        self.contentView.addSubview(priceLabel!)
        
    }

    required init?(coder aDecoder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }

    override func layoutSubviews() {
        super.layoutSubviews()
        imageView?.frame = CGRectMake(0, 0, self.bounds.size.width, self.bounds.size.height - 30)
        priceLabel?.frame = CGRectMake(0, self.bounds.size.height - 30, self.bounds.size.width, 30)
    }
}
